Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.registry
Interface KernelRegistryPlugin

All Known Implementing Classes:
  AbstractClassLoadingDomain, AbstractKernelController, BasicKernelRegistryFactory

public interface KernelRegistryPlugin

A registry plugin.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`KernelRegistryEntry` | `getEntry(Object name)` Get a registration

Method Detail

### getEntry

    public KernelRegistryEntry getEntry(Object name)

  Get a registration

  Parameters:
    `name` - the name of the object
  Returns:
    the registration
  Throws:
    `IllegalArgumentException` - for a null name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.